/* This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/. */

"use strict";

add_task(async function test_mozicon_file_no_sandbox() {
  assertFileProcess();
  assertMozIconIsRemote();
  await createMozIconInFile("txt");
  await createMozIconInFile("exe");
  await createMozIconInFile("non-existent-bidule");
});

add_task(async function test_mozicon_file_no_sandbox_no_remote() {
  await SpecialPowers.pushPrefEnv({
    set: [["dom.ipc.remote-mozIcon", false]],
  });
  assertFileProcess();
  assertMozIconIsNotRemote();
  await createMozIconInFile("txt");
  await createMozIconInFile("exe");
  await createMozIconInFile("non-existent-bidule");
});
